FAIRLAND(6)

NAME
fairland - Empire land generator

SYNOPSIS
fairland [option]... nc sc [ni [is [sp [pm [di [id]]]]]]

DESCRIPTION
fairland is a program which creates land for Empire. It should be run after files has been run and before emp_server has been started. It creates a specified number of start islands ("continents"), and spaces them evenly accross the map. It makes all of them the same size, and makes sure that they don't meet. It gives each start island exactly the same distribution of resources and the same number of mountains. Different arguments produce quite different kinds of maps.

OPTIONS

-e configfile
    Use game configuration in configfile.

-h  Help. Print brief usage information and exit.

-i  Islands will crash into each other and merge.

-q  Run quietly without printing anything to the terminal.

-R seed
    Use seed as seed for the pseudo-random number generator. This can be used to reproduce a previously created world. The seed used to generate a world is printed along with the map.

-s script
    Write script to add countries and sanctuaries to file script (default "newcap_script").

-v  Print version information and exit.

OPERANDS

nc  number of continents

sc  continent size

ni  number of additional islands (default nc)

is  average size of additional islands (default sc/2)

sp  land spikiness (in percent, default 10), low values result in rounded islands, high values result in tentacles

pm  how much of each island is mountain (in percent, default 0)

di  minimum distance between continents (default 2)

id  minimum distance between additional islands and continents (default 1)

AUTHOR
Ken Stevens <children@empire.net>